Bug 796341

Summary: Not compatible with JDK7
Product: [Fedora] Fedora Reporter: jiri vanek <jvanek>
Component: xmlgraphics-commonsAssignee: Ruediger Landmann <r.landmann>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: c.david86, dbhole, r.landmann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: java-1.5.0-gcj-1.5.0.0-39.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-13 14:33:10 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
git-formated patch none

Description jiri vanek 2012-02-22 12:34:09 EST
After mass rebuild for openjdk7 this package was not build due to java
incompatibility. See
https://fedoraproject.org/wiki/Java7_Package_Rebuild_Status for details.
Comment 1 jiri vanek 2012-02-22 12:39:39 EST
Created attachment 565048 [details]
git-formated patch

Maybe better choice is to move to newer upstream version, but they do not provide nightly svn src tarballs. Fixed chars and codec api (inspired by upstram trunk) chars and codec patch and subsequently chnaged spec xmlgraphics-commons.spec.patch
Comment 2 Deepak Bhole 2012-03-01 09:58:46 EST
Jiri, the above patch removed codec api -- instead, it should be made to use ImageIO. We cannot break api by removing functions.
Comment 3 jiri vanek 2012-03-01 10:06:42 EST
As I told, the patch is based on upstreams one, So this api will be missing anyway with new sources.
Comment 4 Deepak Bhole 2012-03-01 10:15:11 EST
Ah sorry, my mistake then. I am going to rename the patch and will rebuild -- thanks!
Comment 5 Deepak Bhole 2012-03-01 17:30:17 EST
Hi Jiri,

During build, I get some warnings when it tries to build javadoc. Just want to confirm -- is it safe to ignore them?

  [javadoc] Constructing Javadoc information...
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/codec/tiff/TIFFImageEncoder.java:52: error: package com.sun.image.codec.jpeg does not exist
  [javadoc] import com.sun.image.codec.jpeg.JPEGEncodeParam;
  [javadoc]                                ^
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/codec/tiff/TIFFImageEncoder.java:53: error: package com.sun.image.codec.jpeg does not exist
  [javadoc] import com.sun.image.codec.jpeg.JPEGQTable;
  [javadoc]                                ^
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/codec/tiff/TIFFEncodeParam.java:27: error: package com.sun.image.codec.jpeg does not exist
  [javadoc] import com.sun.image.codec.jpeg.JPEGEncodeParam;
  [javadoc]                                ^
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/codec/tiff/TIFFImageEncoder.java:1774: error: cannot find symbol
  [javadoc]     private static void modifyEncodeParam(JPEGEncodeParam src,
  [javadoc]                                           ^
  [javadoc]   symbol:   class JPEGEncodeParam
  [javadoc]   location: class TIFFImageEncoder
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/codec/tiff/TIFFImageEncoder.java:1775: error: cannot find symbol
  [javadoc]                                           JPEGEncodeParam dst,
  [javadoc]                                           ^
  [javadoc]   symbol:   class JPEGEncodeParam
  [javadoc]   location: class TIFFImageEncoder
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/codec/tiff/TIFFEncodeParam.java:110: error: cannot find symbol
  [javadoc]     private JPEGEncodeParam jpegEncodeParam = null;
  [javadoc]             ^
  [javadoc]   symbol:   class JPEGEncodeParam
  [javadoc]   location: class TIFFEncodeParam
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/codec/tiff/TIFFEncodeParam.java:306: error: cannot find symbol
  [javadoc]     public void setJPEGEncodeParam(JPEGEncodeParam jpegEncodeParam) {
  [javadoc]                                    ^
  [javadoc]   symbol:   class JPEGEncodeParam
  [javadoc]   location: class TIFFEncodeParam
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/codec/tiff/TIFFEncodeParam.java:318: error: cannot find symbol
  [javadoc]     public JPEGEncodeParam getJPEGEncodeParam() {
  [javadoc]            ^
  [javadoc]   symbol:   class JPEGEncodeParam
  [javadoc]   location: class TIFFEncodeParam
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/writer/internal/JPEGImageWriter.java:32: error: package com.sun.image.codec.jpeg does not exist
  [javadoc] import com.sun.image.codec.jpeg.JPEGCodec;
  [javadoc]                                ^
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/writer/internal/JPEGImageWriter.java:33: error: package com.sun.image.codec.jpeg does not exist
  [javadoc] import com.sun.image.codec.jpeg.JPEGEncodeParam;
  [javadoc]                                ^
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/writer/internal/JPEGImageWriter.java:34: error: package com.sun.image.codec.jpeg does not exist
  [javadoc] import com.sun.image.codec.jpeg.JPEGImageEncoder;
  [javadoc]                                ^
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/writer/internal/TIFFImageWriter.java:37: error: package com.sun.image.codec.jpeg does not exist
  [javadoc] import com.sun.image.codec.jpeg.JPEGCodec;
  [javadoc]                                ^
  [javadoc] /opt/dbhole/rpmbuild/BUILD/xmlgraphics-commons-1.4/src/java/org/apache/xmlgraphics/image/writer/internal/TIFFImageWriter.java:38: error: package com.sun.image.codec.jpeg does not exist
Comment 6 jiri vanek 2012-03-02 03:25:26 EST
Yes it is safe. Javadoc package looks ok. Better solution can be to remove those imports (as they are unused), but I have not touch the upstream changes.
Comment 7 Fedora Update System 2012-03-09 16:38:28 EST
java-1.5.0-gcj-1.5.0.0-39.fc17,opticalraytracer-2.7-4.fc17,nyquist-3.04-4b.fc17.1,jide-oss-2.7.6-6.1340svn.fc17,xmlgraphics-commons-1.4-5.fc17,apache-commons-dbcp-1.4-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/java-1.5.0-gcj-1.5.0.0-39.fc17,opticalraytracer-2.7-4.fc17,nyquist-3.04-4b.fc17.1,jide-oss-2.7.6-6.1340svn.fc17,xmlgraphics-commons-1.4-5.fc17,apache-commons-dbcp-1.4-9.fc17
Comment 8 Fedora Update System 2012-03-09 20:23:15 EST
Package java-1.5.0-gcj-1.5.0.0-39.fc17, opticalraytracer-2.7-4.fc17, nyquist-3.04-4b.fc17.1, jide-oss-2.7.6-6.1340svn.fc17, xmlgraphics-commons-1.4-5.fc17, apache-commons-dbcp-1.4-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing java-1.5.0-gcj-1.5.0.0-39.fc17 opticalraytracer-2.7-4.fc17 nyquist-3.04-4b.fc17.1 jide-oss-2.7.6-6.1340svn.fc17 xmlgraphics-commons-1.4-5.fc17 apache-commons-dbcp-1.4-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3509/java-1.5.0-gcj-1.5.0.0-39.fc17,opticalraytracer-2.7-4.fc17,nyquist-3.04-4b.fc17.1,jide-oss-2.7.6-6.1340svn.fc17,xmlgraphics-commons-1.4-5.fc17,apache-commons-dbcp-1.4-9.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-03-13 14:33:10 EDT
java-1.5.0-gcj-1.5.0.0-39.fc17, opticalraytracer-2.7-4.fc17, nyquist-3.04-4b.fc17.1, jide-oss-2.7.6-6.1340svn.fc17, xmlgraphics-commons-1.4-5.fc17, apache-commons-dbcp-1.4-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.